/// <reference types="node" />
import { CachePlugin } from "./cache-factory";
declare type CacheEntry = {
    value: unknown;
    expire: number | null;
    timeout?: NodeJS.Timeout;
};
declare class MemoryCache implements CachePlugin {
    cache: {
        [key: string]: CacheEntry;
    };
    get<T>(key: string): Promise<T | null>;
    set(key: string, value: unknown, ms?: number): Promise<void>;
}
export { MemoryCache, };
